[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazReaderDIBInfo

## Declaration

Source position: intfgraphics.pas line 456

`type TLazReaderDIBInfo = record`
`Width: Cardinal;` |  |
`Height: Cardinal;` |  |
`BitCount: Byte;` |  |
`Encoding: TLazReaderDIBEncoding;` |  |
`PaletteCount: Word;` |  |
`UpsideDown: Boolean;` |  |
`PixelMasks: packed record` |  |
`R: LongWord;` |  |
`G: LongWord;` |  |
`B: LongWord;` |  |
`A: LongWord;` |  |
`end;`
`MaskShift: record` |  |
`R: Byte;` |  |
`G: Byte;` |  |
`B: Byte;` |  |
`A: Byte;` |  |
`end;`
`MaskSize: record` |  |
`R: Byte;` |  |
`G: Byte;` |  |
`B: Byte;` |  |
`A: Byte;` |  |
`end;`
`end;`